<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
ShowWarningDlg2 Method (IEdmBatchDelete2)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmBatchDelete2 Interface : ShowWarningDlg2 Method (IEdmBatchDelete2)

Visual Basic
C#
C++/CLI

hParentWnd
  Parent window handle for the dialog box

bIncludeDeleted
  True to show the contents of the trash can, false to not

Shows a dialog box with the warnings and errors that occurred during IEdmBatchDelete::ComputePermissions.

# Syntax

Visual Basic |
--- | ---

    Function ShowWarningDlg2( _
       ByVal hParentWnd As System.Integer, _
       ByVal bIncludeDeleted As System.Boolean _
    ) As System.Boolean

C# |
--- | ---

    System.bool ShowWarningDlg2(
       System.int hParentWnd,
       System.bool bIncludeDeleted
    )

C++/CLI |
--- | ---

    System.bool ShowWarningDlg2(
    &   System.int hParentWnd,
    &   System.bool bIncludeDeleted
    )

#### Parameters

hParentWnd
  Parent window handle for the dialog box
bIncludeDeleted
  True to show the contents of the trash can, false to not

#### Return Value

True if the user chooses to continue the operation in spite of the warnings, false if the user cancels the operation

# Example

See the IEdmBatchDelete examples.

# Remarks

This method supersedes IEdmBatchDelete.ShowWarningDlg by adding the option to show the deleted objects in the trash can.

Return codes:

- S_OK: The method successfully executed.
- E_EDM_NOT_INITIALIZED: IEdmBatchDelete::ComputePermissions has not been called.

# See Also

####

IEdmBatchDelete2 Interface
IEdmBatchDelete2 Members

# Availability

SOLIDWORKS PDM Professional 2009